Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.distribution
Interface CauchyDistribution

All Superinterfaces:
  ContinuousDistribution, Distribution

All Known Implementing Classes:
  CauchyDistributionImpl

public interface CauchyDistribution
extends ContinuousDistribution

Cauchy Distribution. Instances of CauchyDistribution objects should be created using `DistributionFactory.createCauchyDistribution(double, double)`.

References:

- Cauchy Distribution

Since:
  1.1
Version:
  $Revision: 201915 $ $Date: 2005-06-26 15:20:57 -0700 (Sun, 26 Jun 2005) $

Method Summary
`double` | `getMedian()` Access the median.
`double` | `getScale()` Access the scale parameter.
`void` | `setMedian(double median)` Modify the median.
`void` | `setScale(double s)` Modify the scale parameter.

Methods inherited from interface org.apache.commons.math.distribution.ContinuousDistribution
`inverseCumulativeProbability`

Methods inherited from interface org.apache.commons.math.distribution.Distribution
`cumulativeProbability, cumulativeProbability`

Method Detail

### getMedian

    public double getMedian()

  Access the median.

  Returns:
    median for this distribution

### getScale

    public double getScale()

  Access the scale parameter.

  Returns:
    scale parameter for this distribution

### setMedian

    public void setMedian(double median)

  Modify the median.

  Parameters:
    `median` - for this distribution

### setScale

    public void setScale(double s)

  Modify the scale parameter.

  Parameters:
    `s` - scale parameter for this distribution

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 The Apache Software Foundation. All Rights Reserved.